Last modified: 2009-08-06 19:23:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19364 - Set project namespace of Portuguese Wikibooks to "Wikilivros"
Set project namespace of Portuguese Wikibooks to "Wikilivros"
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Language setup (Other open bugs)
unspecified
All All
: Normal major (vote)
: ---
Assigned To: Rob Halsell
http://pt.wikibooks.org/wiki/Wikibook...
: shell
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 16:04 UTC by Helder
Modified: 2009-08-06 19:23 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Helder 2009-06-23 16:04:18 UTC
The Project namespace of pt.wikibooks.org should be changed to "Wikilivros", the name of the project in Portuguese (this is similar to [[bugzilla:4811]], about es.wikibooks). If I remember correctly, this can be done changing the following:
# $wgMetaNamespace: "Wikibooks" --> "Wikilivros"
# $wgMetaNamespaceTalk: "Wikibooks_Discussão" --> "Wikilivros_Discussão"

After this, it would be interesting to have the old name "Wikibooks" as an alias for the project namespace, so we don't need to change every link at the project.

The change was approved by the community:
http://pt.wikibooks.org/wiki/Wikibooks:Staff_lounge/Arquivo_22#Finalizar_tradu.C3.A7.C3.A3o:_Wikibooks_--.3E_Wikilivros

By the way, how can we set the tag <title></title> of the main page of pt.wikibooks? Currently when we go to a page like "Física" at the main namespace of pt.wikibooks, the tag is "Física - Wikibooks". However, at es.wikibooks, it is translated to "Física - Wikilibros" and at pt.wikipedia it is "Física - Wikipédia, a enciclopédia livre".

Have a nice week!
Helder
Comment 1 Rob Halsell 2009-06-23 21:08:54 UTC
I have added the two updated to MetaNamespace and MetaNamespaceTalk.  I also added the alisas as requested.

The second question is a good one, I have no idea =P  I am going to leave this open in my tickets and try to get an answer for you though.
Comment 2 Aryeh Gregor (not reading bugmail, please e-mail directly) 2009-06-23 21:15:14 UTC
(In reply to comment #0)
> By the way, how can we set the tag <title></title> of the main page of
> pt.wikibooks? Currently when we go to a page like "Física" at the main
> namespace of pt.wikibooks, the tag is "Física - Wikibooks". However, at
> es.wikibooks, it is translated to "Física - Wikilibros" and at pt.wikipedia it
> is "Física - Wikipédia, a enciclopédia livre".

Change this message:

http://pt.wikibooks.org/wiki/MediaWiki:Pagetitle

No shell access is needed.
Comment 3 Rob Halsell 2009-06-23 21:16:51 UTC
Aryeh beat me to it.  Thanks for the help in IRC =]   Closing ticket.
Comment 4 Helder 2009-06-23 21:23:57 UTC
Thank you a lot!!! =)
Is it possible to change the default value displayed by the {{SITENAME}} ? Currently it is "Wikibooks" and it is better to have the portuguese translation "Wikilivros".

I think this is the [[mw:Manual:$wgSitename]]. Am I right?

Should I open a new request about this?

Thanks again!
Helder
Comment 5 Rob Halsell 2009-06-24 16:27:17 UTC
That is fine, I went ahead and updated the sitename from the default to 'Wikilivros'.  The change is now live on the project.
Comment 6 Helder 2009-06-24 17:38:17 UTC
Thank you Rob! =)

I have just one more question: At en.wikipedia, the page title is "Wikipedia, the free encyclopedia" at [[Main page]] and just "$1 - Wikipedia" at other pages (for example, [[Ancient Egypt]]). How can we get this behavior at pt.wikibooks? 

Thank you a lot!
Helder
Comment 7 Helder 2009-06-24 19:04:00 UTC
Sorry for bothering you, but we have a small problem:
Although "Wikibooks" is now an alias for "Wikilivros", the same is not true for "Wikibooks Discussão". It should be an alias for the new "Wikilivros Discussão".

(There are various red links, and this can confuse some users)

Helder
Comment 8 Aryeh Gregor (not reading bugmail, please e-mail directly) 2009-06-24 21:46:33 UTC
(In reply to comment #6)
> I have just one more question: At en.wikipedia, the page title is "Wikipedia,
> the free encyclopedia" at [[Main page]] and just "$1 - Wikipedia" at other
> pages (for example, [[Ancient Egypt]]). How can we get this behavior at
> pt.wikibooks? 

You can ask these in #wikimedia-tech or #wikipedia or #wikipedia-en or #mediawiki or someplace, on FreeNode.  Or at [[WP:VPT]], etc.  Rob isn't a developer of MediaWiki, he's a sysadmin, so he isn't the best person to ask this kind of stuff.

The answer, though, is apparently [[MediaWiki:Pagetitle-view-mainpage]].
Comment 9 Helder 2009-06-25 00:36:21 UTC
Thank you Aryeh! This system message will help us!

By the way, in this post
(In reply to comment #0)
> After this, it would be interesting to have the old name "Wikibooks" as an
> alias for the project namespace, so we don't need to change every link at the
> project.

and this one
 (In reply to comment #7)
> Sorry for bothering you, but we have a small problem:
> Although "Wikibooks" is now an alias for "Wikilivros", the same is not true for
> "Wikibooks Discussão". It should be an alias for the new "Wikilivros
> Discussão".
> 
> (There are various red links, and this can confuse some users)
> 
> Helder
> 
I forgot to say that we need to make "Wikibooks Discussão" an alias for "Wikilivros Discussão" (this way the red links became blue =)). Sorry for that...

Helder
Comment 10 Rob Halsell 2009-08-06 19:23:34 UTC
Thanks to a bit of a poke from Heldergeovane, this is now done, the alias has been added.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links